<?php

namespace Cadoles\PortalBundle\Repository;

use Doctrine\ORM\EntityRepository;
use Doctrine\Common\Collections\ArrayCollection;
use Cadoles\PortalBundle\Entity\Project;

class ProjecttaskRepository extends EntityRepository
{
   
    public function getProjectsTasks($projects,$start,$length=10,&$count,&$articles)
    {
        $count=$this->createQueryBuilder('projecttask')
                ->select('COUNT(projecttask)')
                ->andwhere('projecttask.project IN(:project)')
                ->setParameter('project',$projects)
                ->getQuery()->getSingleScalarResult();

        $articles=$this->createQueryBuilder('projecttask')
                ->andwhere('projecttask.project IN(:project)')
                ->setParameter('project',$projects)
                ->orderBy('projecttask.submit', 'DESC')
                ->addOrderBy('projecttask.name', 'ASC')  
                ->setFirstResult($start)->setMaxResults($length)                  
                ->getQuery()->getResult();
    }
}
